Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class AddressingBuilder

    java.lang.Object
      org.apache.cxf.ws.addressing.AddressingBuilder

All Implemented Interfaces:
  AddressingType

    public abstract class AddressingBuilder

extends java.lang.Object
implements AddressingType

Factory for WS-Addressing elements.

Note that the JAXB generated types are used directly to represent WS-Addressing schema types. Hence there are no factory methods defined on this class for those types, as they may be instanted in the normal way via the JAXB generated ObjectFactory.

Constructor Summary
`protected` | `AddressingBuilder()` Non-public constructor prevents instantiation.

Method Summary
`static AddressingBuilder` | `getAddressingBuilder()` AddressingBuilder factory method.
`abstract AddressingConstants` | `newAddressingConstants()` Returns an instance of `javax.ws.addressing.AddressingConstants`
`abstract AddressingProperties` | `newAddressingProperties()` AddressingProperties factory method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.ws.addressing.AddressingType
`getNamespaceURI`

Constructor Detail

### AddressingBuilder

    protected AddressingBuilder()

  Non-public constructor prevents instantiation.

Method Detail

### getAddressingBuilder

    public static AddressingBuilder getAddressingBuilder()

  AddressingBuilder factory method.

  Returns:
    AddressingBuilder instance

### newAddressingProperties

    public abstract AddressingProperties newAddressingProperties()

  AddressingProperties factory method.

  Returns:
    a new AddressingProperties instance

### newAddressingConstants

    public abstract AddressingConstants newAddressingConstants()

  Returns an instance of `javax.ws.addressing.AddressingConstants`

  Note: This is a new method since Early Draft 1.

  Returns:
    The new AddressingConstants.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF